<?xml version="1.0" encoding="ISO-8859-1"?>
<!--XSL file that transforms an Ant target execution XML log file into an HTML documentation-->
<!--This tranformation is part of AntDoc-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" standalone="yes" encoding="ISO-8859-1"/>
	<xsl:template match="/build">
		<html>
			<head>
				<title>Report concerning an Ant target execution</title>
			</head>
			<body>
				<h1>Ant target execution report</h1>
				<h2>Target: <code>
						<xsl:value-of select="target/@name"/>
					</code> elapsed in <xsl:value-of select="@time"/>
				</h2>
				<xsl:if test="@error">
					<pre>
						<xsl:value-of select="@error"/>
					</pre>
				</xsl:if>
				<h3>Top messages<table>
						<xsl:for-each select="message">
							<tr>
								<td>
									<xsl:value-of select="."/>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</h3>
				<h3>Targets<table>
						<xsl:for-each select="target">
							<tr>
								<td>
									<code>
										<xsl:value-of select="@name"/>
									</code> elapsed in <xsl:value-of select="@time"/>
								</td>
								<td>
									<table>
										<xsl:for-each select="task">
											<tr>
												<xsl:value-of select="@location"/>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</h3>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
